$(document).ready(function () {
    $(".cursor-pointer").click(function () {
        $('#dialog').show();
    });
    $('#dialog').click(function (e) {
        var e = e || window.event; //浏览器兼容性
        var elem = e.target || e.srcElement;
        while (elem) { //循环判断至跟节点，防止点击的是div子元素
            if (elem.id && elem.id == 'dialog-content') {
                return;
            }
            elem = elem.parentNode;
        }
        $('#dialog').css('display', 'none'); //点击的不是div或其子元素

    })
});